summaryrefslogtreecommitdiff
path: root/etc/jwstdp-latest/tasks
diff options
context:
space:
mode:
Diffstat (limited to 'etc/jwstdp-latest/tasks')
-rwxr-xr-xetc/jwstdp-latest/tasks/001-packages.sh5
-rwxr-xr-xetc/jwstdp-latest/tasks/002-python-packages.sh4
2 files changed, 2 insertions, 7 deletions
diff --git a/etc/jwstdp-latest/tasks/001-packages.sh b/etc/jwstdp-latest/tasks/001-packages.sh
index e948120..e64fe06 100755
--- a/etc/jwstdp-latest/tasks/001-packages.sh
+++ b/etc/jwstdp-latest/tasks/001-packages.sh
@@ -2,15 +2,10 @@
set -e
set -x
-prefix="${TOOLCHAIN}"
sysconfdir="${TOOLCHAIN_BUILD}/etc/${PIPELINE}"
reqdir=${sysconfdir}/pkgs
blddir=builds
-export PATH="${prefix}/bin:${PATH}"
-export CFLAGS="-I${prefix}/include"
-export LDFLAGS="-L${prefix}/lib -Wl,-rpath=${prefix}/lib"
-export PREFIX="${prefix}"
function pre()
{
diff --git a/etc/jwstdp-latest/tasks/002-python-packages.sh b/etc/jwstdp-latest/tasks/002-python-packages.sh
index 3d89b6a..33714aa 100755
--- a/etc/jwstdp-latest/tasks/002-python-packages.sh
+++ b/etc/jwstdp-latest/tasks/002-python-packages.sh
@@ -33,8 +33,8 @@ function build()
function post()
{
rm -rf ~/.cache/pip
- [[ -d src ]] && rm -rf src
- [[ -f gmon.out ]] && rm -rf gmon.out
+ [[ -d src ]] && rm -rf src || true
+ [[ -f gmon.out ]] && rm -rf gmon.out || true
}
build